apport-gtk crashed with IOError in _read_gzip_header()

Bug #129616 reported by Brian J. Murrell
576
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Medium
Martin Pitt

Bug Description

Binary package hint: apport

is this the same as 129615? i can't tell from the content.

ProblemType: Crash
Architecture: i386
Date: Wed Aug 1 01:23:17 2007
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/share/apport/apport-gtk
InterpreterPath: /usr/bin/python2.5
NonfreeKernelModules: nvidia vmnet vmmon via82cxxx
Package: apport-gtk 0.94
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/share/apport/apport-gtk
ProcCwd: /home/brian
ProcEnviron:
 SHELL=/bin/bash
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin
 LANG=en_CA.UTF-8
PythonArgs: ['/usr/share/apport/apport-gtk']
SourcePackage: apport
Title: apport-gtk crashed with IOError in _read_gzip_header()
Uname: Linux pc 2.6.22-7-generic #1 SMP Mon Jun 25 17:33:14 GMT 2007 i686 GNU/Linux

Revision history for this message
Brian J. Murrell (brian-interlinx) wrote :
Revision history for this message
Martin Pitt (pitti) wrote :

Thank you for your reports. Does someone still have a report in /var/crash which reproduces this apport crash? (You can click on it in nautilus). If so, please attach the original report here, so that I can reproduce the apport crash.

Changed in apport:
status: New → Incomplete
Revision history for this message
Bruno Amaral (mail-brunoamaral) wrote : Re: [Bug 129616] Re: apport-gtk crashed with IOError in _read_gzip_header()

Right now my /var/cash doesn't contain any reports that ubuntu should
support. Sorry.

On 10/28/07, Martin Pitt <email address hidden> wrote:
>
> Thank you for your reports. Does someone still have a report in
> /var/crash which reproduces this apport crash? (You can click on it in
> nautilus). If so, please attach the original report here, so that I can
> reproduce the apport crash.
>
> ** Changed in: apport (Ubuntu)
> Status: New => Incomplete
>
> ** Visibility changed to: Public
>
> --
> apport-gtk crashed with IOError in _read_gzip_header()
> https://bugs.launchpad.net/bugs/129616
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Revision history for this message
Slight Slightly (slight--deactivatedaccount) wrote :

Afraid not no.

Revision history for this message
cfd (computer411) wrote :

No, sorry. I ended up reformatting my computer and doing a fresh install of
Gutsy which got rid of the issue. This isue came about, when I had upgraded
from Feisty to Gutsy beta. The problem is fixed on my end.

On 10/28/07, Martin Pitt <email address hidden> wrote:
>
> Thank you for your reports. Does someone still have a report in
> /var/crash which reproduces this apport crash? (You can click on it in
> nautilus). If so, please attach the original report here, so that I can
> reproduce the apport crash.
>
> ** Changed in: apport (Ubuntu)
> Status: New => Incomplete
>
> ** Visibility changed to: Public
>
> --
> apport-gtk crashed with IOError in _read_gzip_header()
> https://bugs.launchpad.net/bugs/129616
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Christopher Deslandes
10 School Rd
Colchester, CT 06415
(860) 537-2957
(860) 886-3246
<email address hidden>

Revision history for this message
tkrisz (tkrisz) wrote :

Attached.

----- Original Message ----
From: Martin Pitt <email address hidden>
To: <email address hidden>
Sent: Sunday, October 28, 2007 8:56:22 PM
Subject: [Bug 129616] Re: apport-gtk crashed with IOError in _read_gzip_header()

Thank you for your reports. Does someone still have a report in
/var/crash which reproduces this apport crash? (You can click on it in
nautilus). If so, please attach the original report here, so that I can
reproduce the apport crash.

** Changed in: apport (Ubuntu)
       Status: New => Incomplete

** Visibility changed to: Public

--
apport-gtk crashed with IOError in _read_gzip_header()
https://bugs.launchpad.net/bugs/129616
You received this bug notification because you are a direct subscriber
of a duplicate bug.

__________________________________________________
Do You Yahoo!?
Tired of spam? Yahoo! Mail has the best spam protection around
http://mail.yahoo.com

Revision history for this message
Martin Pitt (pitti) wrote :

tkrisz, can you please attach the file on the web interface? Email attachments do not work with Launchpad, sorry. Thank you!

Revision history for this message
tkrisz (tkrisz) wrote :
Revision history for this message
Rosemarie Dawkins (rosey4true) wrote :

My system crashed this morning and its out for repairs.

----- Original Message ----
From: Martin Pitt <email address hidden>
To: <email address hidden>
Sent: Sunday, October 28, 2007 5:40:00 PM
Subject: [Bug 129616] Re: apport-gtk crashed with IOError in _read_gzip_header()

tkrisz, can you please attach the file on the web interface? Email
attachments do not work with Launchpad, sorry. Thank you!

--
apport-gtk crashed with IOError in _read_gzip_header()
https://bugs.launchpad.net/bugs/129616
You received this bug notification because you are a direct subscriber
of a duplicate bug.

__________________________________________________
Do You Yahoo!?
Tired of spam? Yahoo! Mail has the best spam protection around
http://mail.yahoo.com

Revision history for this message
Cameron Vance (cvance) wrote : Re: [Bug 129616] Re: apport-gtk crashed with IOError in _read_gzip_header()

I believe this is it Martin

Regards

Cameron

On Sun, 2007-10-28 at 19:56 +0000, Martin Pitt wrote:
> Thank you for your reports. Does someone still have a report in
> /var/crash which reproduces this apport crash? (You can click on it in
> nautilus). If so, please attach the original report here, so that I can
> reproduce the apport crash.
>
> ** Changed in: apport (Ubuntu)
> Status: New => Incomplete
>
> ** Visibility changed to: Public
>

Revision history for this message
Martin Pitt (pitti) wrote :

Cameron, did you try to send an attachment via email? That does not work, sorry. Please attach it on the web interface.

tkrisz: sorry, that was the wrong file. You attached the crash report for *this* bug (i. e. apport-gtk crashing while it tried to report a crash). I need the original crash report which apport crashed on.

Thank you!

Revision history for this message
Cameron Vance (cvance) wrote :
Revision history for this message
Martin Pitt (pitti) wrote :

Cameron: thanks, but same problem: you need to attach the original crash report, on whose reporting apport crashed (e. g. you have crash reports for evolution, mythtv, emacs, and a few others). *Not* the crash report for apport itself.

Revision history for this message
minimux (fatoumoutounike) wrote :

Martin Pitt a écrit :
> Cameron: thanks, but same problem: you need to attach the original crash
> report, on whose reporting apport crashed (e. g. you have crash reports
> for evolution, mythtv, emacs, and a few others). *Not* the crash report
> for apport itself.
>
>
I have more data. Because I change the PC. But it was the owner of the
Nvidia drivers. Who made gèles screen with 3D acceleration.

Revision history for this message
tkrisz (tkrisz) wrote :

This is my crash folder, do you need something from this?
The first problem report at the upgrade to Gutsy i think was something with texlive. Probably because i had both texlive and tetex. After that i got rid of tetex.
Now, everything seems to be working, except for some pidgin issues.

drwxrwxrwt 2 root root 4096 2007-10-28 15:56 .
drwxr-xr-x 15 root root 4096 2007-10-22 00:04 ..
-rwxr-xr-x 1 root root 0 2007-10-28 15:56 .lock
-rw------- 1 root root 4432 2007-10-23 01:58 tetex-extra.0.crash
-rw------- 1 root root 35192 2007-10-23 02:51 texlive-lang-croatian.0.crash
-rw------- 1 root root 1723 2007-10-23 01:57 texlive-lang-czechslovak.0.crash
-rw------- 1 root root 2600 2007-10-23 01:58 texlive-lang-dutch.0.crash
-rw------- 1 root root 3080 2007-10-23 01:58 texlive-lang-hungarian.0.crash
-rw------- 1 root root 2189 2007-10-23 01:57 texlive-lang-italian.0.crash
-rw------- 1 root root 3544 2007-10-23 01:58 texlive-lang-latin.0.crash
-rw------- 1 root root 1125 2007-10-23 01:57 texlive-lang-other.0.crash
-rw------- 1 root root 7136 2007-10-22 01:13 update-manager.0.crash
-rw------- 1 krisz krisz 32799 2007-10-28 13:45 _usr_bin_hwdb-gui.1000.crash
-rw------- 1 krisz krisz 2931321 2007-10-22 21:10 _usr_bin_pidgin.1000.crash
-rw------- 1 krisz krisz 47085 2007-10-23 03:24 _usr_lib_evolution_2.12_evolution-alarm-notify.1000.crash
---------- 1 krisz krisz 435119 2007-10-27 02:14 _usr_lib_firefox_firefox-bin.1000.crash
-rw------- 1 krisz krisz 4453290 2007-10-22 00:12 _usr_lib_gnome-screensaver_gnome-screensaver-gl-helper.1000.crash
-rw-r--r-- 1 root root 32974 2007-10-22 01:18 _usr_share_apport_apport-gtk.0.crash

Revision history for this message
Martin Pitt (pitti) wrote :

tkrisz; it must be some report which belongs to root, which means it can only be any of the tex reports. Can you please do

  sudo tar /var/crash/te*.0.crash | gzip -9 > /tmp/reports.tar.gz

(i. e. create an archive of all tetex/texlive crash reports) and attach /tmp/reports.tar.gz here?

Revision history for this message
Rijkhart (rijkhartt) wrote : Re: [Bug 129616] Re: apport-gtk crashed with IOError in _read_gzip_header()

Hello Martin, is this what you are looking for,
if not give me some newbe instructions so i can learn to be helpfull
Rijkhart

ProblemType: Crash
ApportLog:

Architecture: i386
CrashReports:
 600:1000:1000:8595951:2007-09-27 19:28:14.000000000 +0200:2007-09-29
 01:55:52.000000000
 +0200:/var/crash/_usr_lib_realplay-10.0.9_realplay.bin.1000.crash
 600:1000:1000:26206:2007-09-29 01:56:08.000000000 +0200:2007-09-29
 01:56:11.000000000
 +0200:/var/crash/_usr_share_apport_apport-gtk.1000.crash
Date: Sat Sep 29 01:56:09 2007
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/share/apport/apport-gtk
InterpreterPath: /usr/bin/python2.5
Package: apport-gtk 0.97
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/share/apport/apport-gtk
ProcCwd: /home/rijkhart
ProcEnviron:

 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=sv_SE.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/share/apport/apport-gtk']
SourcePackage: apport
Title: apport-gtk crashed with IOError in _read_gzip_header()
Uname: Linux gershwin 2.6.22-12-generic #1 SMP Sun Sep 23 18:11:30 GMT
 2007 i686 GNU/Linux

Rijkhart Theissen
<email address hidden>
  <email address hidden>
   <email address hidden>

   +46 8 554 30207
   +46 70 303 3007

----- Original Message ----
From: Martin Pitt <email address hidden>
To: <email address hidden>
Sent: Sunday, October 28, 2007 8:56:22 PM
Subject: [Bug 129616] Re: apport-gtk crashed with IOError in _read_gzip_header()

Thank you for your reports. Does someone still have a report in
/var/crash which reproduces this apport crash? (You can click on it in
nautilus). If so, please attach the original report here, so that I can
reproduce the apport crash.

** Changed in: apport (Ubuntu)
       Status: New => Incomplete

** Visibility changed to: Public

--
apport-gtk crashed with IOError in _read_gzip_header()
https://bugs.launchpad.net/bugs/129616
You received this bug notification because you are a direct subscriber
of a duplicate bug.

      ___________________________________________________
Sök efter kärleken!
Hitta din tvillingsjäl på Yahoo! Dejting: http://se.meetic.yahoo.net

Revision history for this message
tkrisz (tkrisz) wrote :
Revision history for this message
Martin Pitt (pitti) wrote :

tkrisz, sorry, it seems I gave you a wrong command. This is right:

  sudo tar cv /var/crash/te*.0.crash | gzip -9 > /tmp/reports.tar.gz

I am sorry for my misunderstanding and thanks for your patience!

Rijkhart, this is the same problem: you gave me the crash report for apport, not the report for the crash that made apport crash. But it seems that tkrisz has the files.

Revision history for this message
minimux (fatoumoutounike) wrote : Re: [Bug 129616] Re: apport-gtk crashed with IOError in _read_gzip_header()

Rijkhart a écrit :
> Hello Martin, is this what you are looking for,
> if not give me some newbe instructions so i can learn to be helpfull
> Rijkhart
>
> ProblemType: Crash
> ApportLog:
>
> Architecture: i386
> CrashReports:
> 600:1000:1000:8595951:2007-09-27 19:28:14.000000000 +0200:2007-09-29
> 01:55:52.000000000
> +0200:/var/crash/_usr_lib_realplay-10.0.9_realplay.bin.1000.crash
> 600:1000:1000:26206:2007-09-29 01:56:08.000000000 +0200:2007-09-29
> 01:56:11.000000000
> +0200:/var/crash/_usr_share_apport_apport-gtk.1000.crash
> Date: Sat Sep 29 01:56:09 2007
> DistroRelease: Ubuntu 7.10
> ExecutablePath: /usr/share/apport/apport-gtk
> InterpreterPath: /usr/bin/python2.5
> Package: apport-gtk 0.97
> PackageArchitecture: all
> ProcCmdline: /usr/bin/python /usr/share/apport/apport-gtk
> ProcCwd: /home/rijkhart
> ProcEnviron:
>
> PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
> LANG=sv_SE.UTF-8
> SHELL=/bin/bash
> PythonArgs: ['/usr/share/apport/apport-gtk']
> SourcePackage: apport
> Title: apport-gtk crashed with IOError in _read_gzip_header()
> Uname: Linux gershwin 2.6.22-12-generic #1 SMP Sun Sep 23 18:11:30 GMT
> 2007 i686 GNU/Linux
>
> Rijkhart Theissen
> <email address hidden>
> <email address hidden>
> <email address hidden>
>
> +46 8 554 30207
> +46 70 303 3007
>
> ----- Original Message ----
> From: Martin Pitt <email address hidden>
> To: <email address hidden>
> Sent: Sunday, October 28, 2007 8:56:22 PM
> Subject: [Bug 129616] Re: apport-gtk crashed with IOError in _read_gzip_header()
>
> Thank you for your reports. Does someone still have a report in
> /var/crash which reproduces this apport crash? (You can click on it in
> nautilus). If so, please attach the original report here, so that I can
> reproduce the apport crash.
>
> ** Changed in: apport (Ubuntu)
> Status: New => Incomplete
>
> ** Visibility changed to: Public
>
>

I have more information that you ask me because I changed my PC. But my
problem was related to proprietary drivers Nvidia.

Revision history for this message
minimux (fatoumoutounike) wrote :

tkrisz a écrit :
> ** Attachment added: "reports.tar.gz"
> http://launchpadlibrarian.net/10210575/reports.tar.gz
>
>

I have more information that you ask me because I changed my PC. But my
problem was related to proprietary drivers Nvidia.

Revision history for this message
minimux (fatoumoutounike) wrote :

Martin Pitt a écrit :
> tkrisz, sorry, it seems I gave you a wrong command. This is right:
>
> sudo tar cv /var/crash/te*.0.crash | gzip -9 > /tmp/reports.tar.gz
>
> I am sorry for my misunderstanding and thanks for your patience!
>
> Rijkhart, this is the same problem: you gave me the crash report for
> apport, not the report for the crash that made apport crash. But it
> seems that tkrisz has the files.
>
>

I have more information that you ask me because I changed my PC. But my
problem was related to proprietary drivers Nvidia.

Revision history for this message
tkrisz (tkrisz) wrote :

I've found out it was wrong. But is the compress good? Or should i remake it with your line?

Revision history for this message
Martin Pitt (pitti) wrote :

hi,

tkrisz [2007-10-30 11:29 -0000]:
> I've found out it was wrong. But is the compress good? Or should i
> remake it with your line?

No, the compressed archive you uploaded only had a directory listing,
so I am afraid you have to do it again with my second command. Thank
you!

Revision history for this message
tkrisz (tkrisz) wrote :

Next try.

Revision history for this message
Martin Pitt (pitti) wrote :

tkrisz: splendid, thank you! I'll look at it.

Revision history for this message
minimux (fatoumoutounike) wrote :

tkrisz a écrit :
> Next try.
>
> ** Attachment added: "reports.tar.gz"
> http://launchpadlibrarian.net/10216107/reports.tar.gz
>
>
I can no longer send you because I have given these changing computer.
Thanks to no longer send messages.

Revision history for this message
minimux (fatoumoutounike) wrote :

Martin Pitt a écrit :
> tkrisz: splendid, thank you! I'll look at it.
>
>
I can no longer send you because I have given these changing computer.
Thanks to no longer send messages.

Revision history for this message
minimux (fatoumoutounike) wrote : Re: [Bug 129616] Re: apport-gtk crashed with IOError in _read_gzip_header()

Martin Pitt a écrit :
> hi,
>
> tkrisz [2007-10-30 11:29 -0000]:
>
>> I've found out it was wrong. But is the compress good? Or should i
>> remake it with your line?
>>
>
> No, the compressed archive you uploaded only had a directory listing,
> so I am afraid you have to do it again with my second command. Thank
> you!
>
>
I can no longer send you because I have given these changing computer.
Thanks to no longer send messages.

Revision history for this message
minimux (fatoumoutounike) wrote : Re: [Bug 129616] Re: apport-gtk crashed with IOError in _read_gzip_header()

Martin Pitt a écrit :
> tkrisz; it must be some report which belongs to root, which means it can
> only be any of the tex reports. Can you please do
>
> sudo tar /var/crash/te*.0.crash | gzip -9 > /tmp/reports.tar.gz
>
> (i. e. create an archive of all tetex/texlive crash reports) and attach
> /tmp/reports.tar.gz here?
>
>
I can no longer send you because I have given these changing computer.
Thanks to no longer send messages.

Revision history for this message
Martin Pitt (pitti) wrote :

tkrisz: Hm, darn. It seems that my previous wrong tar command overwrote tetex-extra.0.crash to become a tar archive of all other crash reports, so the original crash report is lost. I cannot reproduce the crash with any of the other reports.

On the other hand it is quite unlikely that the apport crash happened on a "package failed to install" report since those do not have any gzip'ed data. I guess I just need to let this bug sit around until someone trips over it again and files another duplicate.

Revision history for this message
Trollforge (trollforge) wrote :
Download full text (29.1 KiB)

Is this what you were looking for?

ProblemType: Crash
Date: Mon Nov 19 02:42:30 2007
ExecutablePath: /usr/share/apport/apport-gtk
InterpreterPath: /usr/bin/python2.5
ProcCmdline: /usr/bin/python /usr/share/apport/apport-gtk
ProcCwd: /tmp/tmp5mEBTy
ProcEnviron:
 PATH=/tmp/tmp5mEBTy/imported:/tmp/tmp5mEBTy/backports/usr/bin:/tmp/tmp5mEBTy/imported:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin
 LANG=en_CA.UTF-8
 SHELL=/bin/bash
ProcMaps:
 08048000-0813f000 r-xp 00000000 03:01 81213 /usr/bin/python2.5
 0813f000-08164000 rw-p 000f6000 03:01 81213 /usr/bin/python2.5
 08164000-0897d000 rw-p 08164000 00:00 0 [heap]
 b49ef000-b52dd000 rw-p b49ef000 00:00 0
 b53c6000-b53c7000 ---p b53c6000 00:00 0
 b53c7000-b5bc7000 rw-p b53c7000 00:00 0
 b5bc7000-b5c27000 rw-s 00000000 00:08 851974 /SYSV00000000 (deleted)
 b5c27000-b5c36000 r-xp 00000000 03:01 713971 /lib/libbz2.so.1.0.4
 b5c36000-b5c37000 rw-p 0000f000 03:01 713971 /lib/libbz2.so.1.0.4
 b5c37000-b5c69000 r-xp 00000000 03:01 115590 /usr/lib/libcroco-0.6.so.3.0.1
 b5c69000-b5c6c000 rw-p 00031000 03:01 115590 /usr/lib/libcroco-0.6.so.3.0.1
 b5c6c000-b5c9c000 r-xp 00000000 03:01 113734 /usr/lib/libgsf-1.so.114.0.7
 b5c9c000-b5c9f000 rw-p 0002f000 03:01 113734 /usr/lib/libgsf-1.so.114.0.7
 b5c9f000-b5ca0000 rw-p b5c9f000 00:00 0
 b5ca0000-b5cd0000 r-xp 00000000 03:01 115212 /usr/lib/librsvg-2.so.2.18.2
 b5cd0000-b5cd1000 rw-p 00030000 03:01 115212 /usr/lib/librsvg-2.so.2.18.2
 b5cdc000-b5cdd000 rw-p b5cdc000 00:00 0
 b5cdd000-b5cde000 r-xp 00000000 03:01 162627 /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
 b5cde000-b5cdf000 rw-p 00000000 03:01 162627 /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
 b5cdf000-b5d63000 r--p 00000000 03:01 519484 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans-Bold.ttf
 b5d63000-b5f4a000 r--p 00000000 03:01 326579 /usr/share/icons/hicolor/icon-theme.cache
 b5f4a000-b66a9000 r--p 00000000 03:01 326578 /usr/share/icons/gnome/icon-theme.cache
 b66a9000-b6754000 r--p 00000000 03:01 325799 /usr/share/icons/Tangerine/icon-theme.cache
 b6754000-b68ba000 r--p 00000000 03:01 616550 /usr/share/icons/Human/icon-theme.cache
 b68ba000-b6945000 r--p 00000000 03:01 519483 /usr/share/fonts/truetype/ttf-dejavu/DejaVuSans.ttf
 b6945000-b6947000 r-xp 00000000 03:01 212015 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
 b6947000-b6948000 rw-p 00001000 03:01 212015 /usr/lib/pango/1.6.0/modules/pango-basic-fc.so
 b6948000-b694e000 r--s 00000000 03:01 246493 /var/cache/fontconfig/945677eb7aeaf62f1d50efc3fb3ec7d8-x86.cache-2
 b694e000-b6951000 r--s 00000000 03:01 245132 /var/cache/fontconfig/e383d7ea5fbe662a33d9b44caf393297-x86.cache-2
 b6951000-b6952000 r--s 00000000 03:01 246491 /var/cache/fontconfig/fd9505950c048a77dc4b710eb6a628ed-x86.cache-2
 b6952000-b6954000 r--s 00000000 03:01 245127 /var/cache/fontconfig/ddc79d3ea06a7c6ffa86ede85f3bb5df-x86.cache-2
 b6954000-b6955000 r--s 00000000 03:01 244057 /var/cache/fontconfig/e7071f4a29fa870f4323321c154eba04-x86.cache-2
 b6955000-b6956000 r--s 00000000 03:01 246490 /var/cache/fontconfig/a2ab74764b072...

Revision history for this message
bernez arfoll (bernez-arfoll) wrote :

no problem with apport-gtk crashed with IOError in _read_gzip_header()

kenavo
Bernez

Revision history for this message
Martin Pitt (pitti) wrote :

Trollforge,

sorry, no, that's again the crash of apport itself while it tried to report the first crash. I need

  /var/crash/update-manager.0.crash
  /var/crash/_usr_bin_update-manager.1000.crash

Note that you cannot read the first file as your user, so please do this first:

  sudo chown 1000:1000 /var/crash/update-manager.0.crash

then please attach above two files here. Thank you!

Revision history for this message
Trollforge (trollforge) wrote :

Sorry Martin,

  /var/crash/update-manager.0.crash

ProblemType: Package
Date: Sun Nov 18 21:45:40 2007
ErrorMessage:
 ErrorMessage: SystemError in cache.commit(): E:Sub-process /tmp/tmp5mEBTy/backports/usr/bin/dpkg returned an error code (1)

Package: update-manager
SourcePackage: update-manager

  /var/crash/_usr_bin_update-manager.1000.crash is attached

Revision history for this message
minimux (fatoumoutounike) wrote :

Trollforge a écrit :
> Sorry Martin,
>
> /var/crash/update-manager.0.crash
>
> ProblemType: Package
> Date: Sun Nov 18 21:45:40 2007
> ErrorMessage:
> ErrorMessage: SystemError in cache.commit(): E:Sub-process /tmp/tmp5mEBTy/backports/usr/bin/dpkg returned an error code (1)
>
> Package: update-manager
> SourcePackage: update-manager
>
>
> /var/crash/_usr_bin_update-manager.1000.crash is attached
>
>
>
> ** Attachment added: "/var/crash/_usr_bin_update-manager.1000.crash"
> http://launchpadlibrarian.net/10470902/_usr_bin_update-manager.1000.crash
>
>
Sorry, I am not martin.Il are mistaken identity.

Revision history for this message
Michael Grabbe (mgrabbe1890) wrote : Re: [Bug 129616] Re: apport-gtk crashed with IOError in_read_gzip_header()

Even though I had poked around the edges of Linux over the past 4 years, I
am still very much a "newbie" when it comes to this OS. It is interesting
and gives me a sense of comfort, to see the efforts made to resolve a bug in
the system. Interestingly enough, I have had no problems since the initial
event. The only issues I have are because of the hardware I am runnig this
on. The system is based on a VIA "Nehemiah" M10000 precessor on a mini-ITX
board. So there are some pieces of software that are just too much for it.

Michael

----- Original Message -----
From: "Trollforge" <email address hidden>
To: <email address hidden>
Sent: Monday, November 19, 2007 12:31 PM
Subject: [Bug 129616] Re: apport-gtk crashed with IOError
in_read_gzip_header()

Sorry Martin,

  /var/crash/update-manager.0.crash

ProblemType: Package
Date: Sun Nov 18 21:45:40 2007
ErrorMessage:
 ErrorMessage: SystemError in cache.commit(): E:Sub-process
/tmp/tmp5mEBTy/backports/usr/bin/dpkg returned an error code (1)

Package: update-manager
SourcePackage: update-manager

  /var/crash/_usr_bin_update-manager.1000.crash is attached

** Attachment added: "/var/crash/_usr_bin_update-manager.1000.crash"
   http://launchpadlibrarian.net/10470902/_usr_bin_update-manager.1000.crash

--
apport-gtk crashed with IOError in _read_gzip_header()
https://bugs.launchpad.net/bugs/129616
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Revision history for this message
Martin Pitt (pitti) wrote :

Trollforge, thank you! That's what I needed, I can reproduce the bug now.

Changed in apport:
assignee: nobody → pitti
importance: Undecided → Medium
status: Incomplete → In Progress
Revision history for this message
Martin Pitt (pitti) wrote :

Fixed in bzr head.

Changed in apport:
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 0.102

---------------
apport (0.102) hardy; urgency=low

  [ Martin Pitt ]
  * problem_report.py: Support reading reports with legacy zlib
    compression in 'retain compressed values' mode (as used nowadays by
    apport when reporting a crash). Add a test case, too. (LP: #129616)
  * debian/control, debian/rules: Switch from python-support to
    python-central, and use 'nomove' option so that apport works during
    upgrades, too. (LP: #121341)
  * debian/rules: Use dh_icons instead of dh_iconcache.
  * debian/apport.init: Do not stop apport in any runlevel (LSB header).
  * apport/ui.py, run_crash(): Catch zlib.error on invalidly compressed core
    dumps. (LP: #176977)
  * apport/ui.py: Give a meaningful error message instead of crashing if the
    package for a crash report is not installed any more. (LP: #149739)
  * apport/ui.py: Do not include ProcCmdline in bug reports, since these are
    not ack'ed by the user and might contain sensitive data. (LP: #132800)
  * apport/ui.py: Add various test cases for crash reports whose packages have
    been uninstalled between the crash and the report. This reproduces
    LP #186684.
  * apport/ui.py, load_report(): Produce proper error message if
    executable/interpreter path do not exist any more. (LP: #186684)
  * cli/apport-cli: Intercept SIGPIPE when calling sensible-pager, to avoid
    crash when quitting it prematurely. (LP: #153872)
  * bin/apport-checkreports: Print out a list of program names/packages which
    have a pending crash report. (LP: #145117)
  * apport/ui.py, run_argv(): Add return code which indicates whether any
    report has been processed.
  * cli/apport-cli: If no pending crash reports are present, say so and refer
    to --help. (LP: #182985)
  * apport/ui.py: Waive check for obsolete packages if environment defines
    $APPORT_IGNORE_OBSOLETE_PACKAGES. Document this in the apport-cli manpage.
    (LP: #148064)

  [ Daniel Hahler ]
  * .crash file integration for KDE3 (LP: #177055)
    - debian/apport-qt.install: install added files qt4/apport-qt-mime.desktop
      and qt4/apport-qt-mimelnk.desktop
  * Fixed minor warnings/errors from desktop-file-validate in
    gtk/apport-gtk-mime.desktop.in and qt4/apport-qt.desktop.in (LP: #146957)

 -- Martin Pitt <email address hidden> Wed, 06 Feb 2008 12:55:53 +0100

Changed in apport:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers